<?php

namespace Sibs\Stargate\Constants;

defined('ABSPATH') || exit;

class PaymentMethods implements ConstantsInterface
{
    public const CARD = 'CARD';
    public const BLIK = 'BLIK';
    public const PAY_BY_LINK = 'PAY_BY_LINK';
    public const PAY_BY_LINK_KEVIN = 'PBLKV';
    public const XPAY = 'XPAY';
    public const GPAY = 'GPAY';
    public const APAY = 'APAY';

    /**
     * All.
     */
    public static function all(): array
    {
        return [
            self::CARD,
            self::BLIK,
            self::PAY_BY_LINK,
            self::XPAY,
        ];
    }

    /**
     * Default.
     */
    public static function default(): mixed
    {
        return self::CARD;
    }
}
